Puzzle / Developers
API referenceTransactions

Create Transactions

POST /company/{id}/transactions

POST/company/{id}/transactions

Path Parameters

id*string

The company ID

Length1 <= length

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/company/string/transactions" \  -H "Content-Type: application/json" \  -d '{    "accountId": "string",    "transactions": [      {        "nativeId": "string",        "timestamp": "string",        "amount": {          "amount": "string",          "currency": "str"        },        "description": "string"      }    ]  }'
{  "transactions": [    {      "id": "string",      "nativeId": "string",      "status": "pending"    }  ]}

Schema refreshed 2026-11-11T18:57:48.657Z